# Wirkungsgradkennfeld

Unter Zuhilfenahme der aufgezeichneten Daten des Hybrid Assistant erzeugt dieses Script ein Wirkungsgradkennfeld. Als Ausgabeformate stehen u.a. \*.png, \*.svg, \*.pdf und noch einige andere zur Auswahl.


## Usage

```
usage: wirkungsgradkennfeld.py [-h] [-d DATABASE] [-o OUTPUT] [-l LAST_MIN]
                               [-L LAST_MAX] [-r RPM_MIN] [-R RPM_MAX]
                               [-w WIRK_MIN] [-W WIRK_MAX] [-n ANZAHL_TREFFER]
                               [-H HEIZWERT] [-T TITEL]

Erstellt ein Wirkungsgradkennfeld über Last und Umdrehung

optional arguments:
  -h, --help         show this help message and exit
  -d DATABASE        Hybrid Assistant Datenbank (Default=hybridassistant.db)
  -o OUTPUT          Ausgabepfad für das Diagramm (Default=Wirkungsgrad.png)
  -l LAST_MIN        Kleinste anzuzeigende Last in % (Default=1)
  -L LAST_MAX        Größte anzuzeigende Last in % (Default=100)
  -r RPM_MIN         Kleinste anzuzeigende Umdrehung/min (Default=900)
  -R RPM_MAX         Größte anzuzeigende Umdrehung/min (Default=6000)
  -w WIRK_MIN        Kleinster anzuzeigender Wirkungsgrad in % (Default=1)
  -W WIRK_MAX        Größter anzuzeigender Wirkungsgrad in % (Default=100)
  -n ANZAHL_TREFFER  Übereinstimmungen für glaubwürdigen Wert (Default=5)
  -H HEIZWERT        Heizwert des Kraftstoffs in kWh/kg (Default=11.4)
  -T TITEL           Überschrift des Diagramms (Default=Wirkungsgrad)
```

## Beispiel
```
python3 wirkungsgradkennfeld.py -o Diagramm.pdf -l 10 -L 95 -r 1000 -R 4000 -w 10 -W 45
```
Erzeugt als Ausgabe ein PDF (Diagramm.pdf) mit folgenden Einstellungen:

- Last von 10% bis 95%
- Umdrehungen von 1000/min bis 4000/min
- Wirkungsgrad von 10% bis 45%

## Abhängigkeiten
Folgende Packages werden zusätzlich benötigt:

- matplotlib
- numpy
- pandas

## Anmerkungen
- Für den Zugriff auf die Hybrid Assistant Datenbank benötigt man root-Rechte.
- Das Wirkungsgradkennfeld gibt nur die persönlich erzeugten Daten wieder und kann nicht für den Fahrzeugtyp verallgemeinert werden!
